cURL
curl --request POST \
--url https://api.smartbills.io/v1/businesses/{businessId}/products \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"vendorId": 123,
"category": "<string>",
"tags": [
"<string>"
],
"publishedAt": "2023-11-07T05:31:56Z",
"htmlDescription": "<string>",
"locale": "<string>",
"images": [
{
"fileName": "<string>",
"contentType": "<string>",
"stream": "<string>",
"base64": "<string>",
"url": "<string>",
"file": "<string>",
"note": "<string>",
"altText": "<string>",
"productVariantIds": [
123
]
}
],
"variants": [
{
"initialPrice": 123,
"price": 123,
"weightUnit": "<string>",
"weight": 123,
"taxable": true,
"name": "<string>",
"imageIds": [
123
],
"sku": "<string>",
"upc": "<string>"
}
],
"options": [
{
"name": "<string>",
"values": "<string>"
}
]
}
'import requests
url = "https://api.smartbills.io/v1/businesses/{businessId}/products"
payload = {
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"vendorId": 123,
"category": "<string>",
"tags": ["<string>"],
"publishedAt": "2023-11-07T05:31:56Z",
"htmlDescription": "<string>",
"locale": "<string>",
"images": [
{
"fileName": "<string>",
"contentType": "<string>",
"stream": "<string>",
"base64": "<string>",
"url": "<string>",
"file": "<string>",
"note": "<string>",
"altText": "<string>",
"productVariantIds": [123]
}
],
"variants": [
{
"initialPrice": 123,
"price": 123,
"weightUnit": "<string>",
"weight": 123,
"taxable": True,
"name": "<string>",
"imageIds": [123],
"sku": "<string>",
"upc": "<string>"
}
],
"options": [
{
"name": "<string>",
"values": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
slug: '<string>',
vendorId: 123,
category: '<string>',
tags: ['<string>'],
publishedAt: '2023-11-07T05:31:56Z',
htmlDescription: '<string>',
locale: '<string>',
images: [
{
fileName: '<string>',
contentType: '<string>',
stream: '<string>',
base64: '<string>',
url: '<string>',
file: '<string>',
note: '<string>',
altText: '<string>',
productVariantIds: [123]
}
],
variants: [
{
initialPrice: 123,
price: 123,
weightUnit: '<string>',
weight: 123,
taxable: true,
name: '<string>',
imageIds: [123],
sku: '<string>',
upc: '<string>'
}
],
options: [{name: '<string>', values: '<string>'}]
})
};
fetch('https://api.smartbills.io/v1/businesses/{businessId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"vendor": {
"id": 123,
"name": "<string>"
},
"category": "<string>",
"htmlDescription": "<string>",
"images": [
{
"id": 123,
"name": "<string>",
"height": 123,
"width": 123,
"productVariantIds": [
123
],
"url": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"variants": [
{
"id": 123,
"initialPrice": 123,
"price": 123,
"weightUnit": "<string>",
"weight": 123,
"taxable": true,
"name": "<string>",
"sku": "<string>",
"upc": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"productId": 123
}
],
"tags": [
"<string>"
],
"url": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Products
Post v1businesses products
POST
/
v1
/
businesses
/
{businessId}
/
products
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I